Issue 101353 - Adjust table cloumn width and switch between dialog tabs -> loop
Summary: Adjust table cloumn width and switch between dialog tabs -> loop
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: code (show other issues)
Version: OOO300m9
Hardware: All All
: P2 Trivial (vote)
Target Milestone: 3.4.0
Assignee: Oliver Specht
QA Contact: issues@sw
URL:
Keywords: regression
Depends on:
Blocks: 84292
  Show dependency tree
 
Reported: 2009-04-27 04:46 UTC by amy2008
Modified: 2017-05-20 10:30 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description amy2008 2009-04-27 04:46:40 UTC
Can reproduce it from OOo300m9 to OOo310m10 on WinXP and Fedora9.
But can not reproduce it in OOo2.4.1

How to reproduce it
1 Create a new Writer doc
2 Insert table, e.g. 5*2
3 On table bar, click Table Properties to invoke Table Format dialog
4 Switch to Table Tab, select any Alignment except Automatic
5 Switch to Clounm Tab, check "Resizes the table width in relation to the 
  column", decrease the 1st Cloumn Width to the minimum 0.04cm, at the moment,
  find "Remaining Space " is 16.79cm, then try to decrease the 2nd or other
  Cloumn width, find "Remaining Space " becomes 16.80cm instead of 16.79cm
6 Switch to Table Tab again, check "Relative"
7 Switch to Cloumn Tab 

Result
OOo freezes.
If OOo doesn't freeze at the first time, pls Switch to Table Tab and then switch
to Cloumn Tab agagin after step7

Expectation
OOo works well

Regards
Li Meiying
Comment 1 amy2008 2009-04-27 04:47:28 UTC
reg
Comment 2 michael.ruess 2009-04-27 14:21:59 UTC
MRU->OS: Insert a 5x2 table, open Table.Properties dialog, switch alignment to
other than "Automatic". On columns tab check "Adjust columns proportional",
change first column to minimum size of 0,04 cm, than also click on spin filed
"down" for second column. Now click "relative" on Table tab and go back to
"column" tab -> loop.
Comment 3 Oliver Specht 2011-02-22 08:26:01 UTC
Fixed in cws os150 in 
sw/source/ui/table/tabledlg.cxx
Comment 4 Oliver Specht 2011-02-28 08:59:53 UTC
->od: Could you please review: 
http://hg.services.openoffice.org/cws/os150/rev/4165669295e2
Comment 5 michael.ruess 2011-03-04 14:42:46 UTC
Verified in CWS os150.